---------------------
PatchSet 4777 
Date: 2007/06/22 07:30:23
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Gah, re-fix const function not to alter 'this'.

Members: 
	lib/IPAddress.cc:1.1.2.49->1.1.2.50 
	lib/rfc1035.c:1.5.2.15->1.5.2.16 

Index: squid3/lib/IPAddress.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/Attic/IPAddress.cc,v
retrieving revision 1.1.2.49
retrieving revision 1.1.2.50
diff -u -r1.1.2.49 -r1.1.2.50
--- squid3/lib/IPAddress.cc	22 Jun 2007 06:09:45 -0000	1.1.2.49
+++ squid3/lib/IPAddress.cc	22 Jun 2007 07:30:23 -0000	1.1.2.50
@@ -1,6 +1,6 @@
 
 /*
- * $Id: IPAddress.cc,v 1.1.2.49 2007/06/22 06:09:45 amosjeffries Exp $
+ * $Id: IPAddress.cc,v 1.1.2.50 2007/06/22 07:30:23 amosjeffries Exp $
  *
  * DEBUG: section 14   IP Storage and Handling
  * AUTHOR: Amos Jeffries
@@ -868,9 +868,14 @@
     }
 
     /* some external code may have blindly memset a parent. */
-    /* thats okay, our default can be set anytime */
+    /* thats okay, our default is known */
     if(m_Type == None) {
-        SetEmpty();
+#if USE_IPV6
+        memcpy(buf,"::",3);
+#else
+        memcpy(buf,"0.0.0.0",8);
+#endif
+        return buf;
     }
 
     memset(buf,0,blen); // clear buffer before write
Index: squid3/lib/rfc1035.c
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/rfc1035.c,v
retrieving revision 1.5.2.15
retrieving revision 1.5.2.16
diff -u -r1.5.2.15 -r1.5.2.16
--- squid3/lib/rfc1035.c	25 Apr 2007 12:53:44 -0000	1.5.2.15
+++ squid3/lib/rfc1035.c	22 Jun 2007 07:30:23 -0000	1.5.2.16
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1035.c,v 1.5.2.15 2007/04/25 12:53:44 amosjeffries Exp $
+ * $Id: rfc1035.c,v 1.5.2.16 2007/06/22 07:30:23 amosjeffries Exp $
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
@@ -409,6 +409,7 @@
 	}
 	break;
     case RFC1035_TYPE_A:
+    case RFC1035_TYPE_CNAME:
     default:
 	RR->rdata = xmalloc(rdlength);
 	memcpy(RR->rdata, buf + (*off), rdlength);
